package xyz.etztech.qol.listeners;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockPlaceEvent;
import org.bukkit.event.player.PlayerBucketEmptyEvent;
import xyz.etztech.qol.QoL;

public class BlockPlaceListener implements Listener {

    QoL plugin;

    public BlockPlaceListener(QoL plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onBlockPlace(BlockPlaceEvent event) {
        Player player = event.getPlayer();
        if( event.getBlockPlaced().getType() == Material.TNT) {
            plugin.getGriefAlert().addAlert(player.getName() + " placed TnT.");
        }
    }
}
