package xyz.etztech.qol.listeners;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerChangedWorldEvent;
import xyz.etztech.qol.QoL;

import java.util.Map;

public class PlayerChangedWorldListener implements Listener {
    QoL plugin;

    public PlayerChangedWorldListener(QoL plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onPlayerChangedWorld(PlayerChangedWorldEvent event) {
        Player player = event.getPlayer();

        plugin.updatePlayerViewDistance(player);
    }
}
